hdf_register_fileload(3)

NAME
hdf_register_fileload - register a fileload function

SYNOPSIS
#include <util/neo_hdf.h> void hdf_register_fileload(HDF *hdf, void *ctx, HDFFILELOAD fileload);

ARGUMENTS
hdf - pointer to a head HDF node
ctx - pointer that is passed to the HDFFILELOAD function when called
fileload - a HDFFILELOAD function

DESCRIPTION
hdf_register_fileload registers a fileload function that overrides the built-in function. The built-in function uses hdf_search_path and ne_file_load (based on stat/open/read) to find and load the file on every hdf_read_file (including #include). You can override this function if you wish to provide other file search functions, or load the hdf file from an in-memory cache, etc.

RETURN VALUE
None

SEE ALSO
hdf_set_symlink(3), hdf_get_valuef(3), compareFunc)(3), hdf_dump_str(3), hdf_get_int_value(3), hdf_read_string_ignore(3), hdf_copy(3), hdf_get_node(3), hdf_set_value(3), hdf_obj_child(3), hdf_read_string(3), hdf_set_buf(3), hdf_register_fileload(3), hdf_get_obj(3), hdf_get_attr(3), hdf_obj_top(3), hdf_dump_format(3), hdf_destroy(3), hdf_init(3), hdf_obj_value(3), hdf_write_string(3), hdf_set_valuevf(3), hdf_sort_obj(3), hdf_write_file_atomic(3), hdf_obj_attr(3), hdf_set_valuef(3), hdf_get_copy(3), hdf_write_file(3), hdf_get_valuevf(3), hdf_set_int_value(3), hdf_dump(3), hdf_get_value(3), hdf_set_copy(3), hdf_obj_next(3), hdf_search_path(3), hdf_obj_name(3), hdf_set_attr(3), hdf_get_child(3), hdf_remove_tree